Name:           phodav
Version:        0.4
Release:        2%{?dist}
Summary:        A WebDAV server using libsoup
Group:          Applications/Internet
License:        LGPLv2+
URL:            https://wiki.gnome.org/phodav
Source0:        http://download.gnome.org/sources/%{name}/0.3/%{name}-%{version}.tar.xz

Patch1:         0001-webdavd-remove-systemd-target-use-only-service.patch
 
BuildRequires:  systemd-devel
BuildRequires:  systemd-units
BuildRequires:  libsoup-devel
BuildRequires:  avahi-gobject-devel
BuildRequires:  intltool
BuildRequires:  asciidoc
BuildRequires:  xmlto

%description
phởdav is a WebDAV server implementation using libsoup (RFC 4918).

%package -n     libphodav-1.0
Summary:        A library to serve files with WebDAV

%description -n libphodav-1.0
phởdav is a WebDAV server implementation using libsoup (RFC 4918).
This package provides the library.

%package -n     libphodav-1.0-devel
Summary:        A library to
Requires:       libphodav-1.0%{?_isa} = %{version}-%{release}

%description -n libphodav-1.0-devel
The libphodav-1.0-devel package includes the header files for libphodav-1.0.

%package -n     chezdav
Summary:        A simple WebDAV server program
Group:          Applications/Internet

%description -n chezdav
The chezdav package contains a simple tool to share a directory
with WebDAV. The service is announced over mDNS for clients to discover.

%package -n     spice-webdavd
Summary:        Spice daemon for the DAV channel
Group:          Applications/System
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description -n spice-webdavd
The spice-webdavd package contains a daemon to proxy WebDAV request to
the Spice virtio channel.

%prep
%setup -q
%patch1 -p1

%build
%configure --with-avahi
make %{?_smp_mflags}

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%find_lang %{name} --with-gnome

%post -n libphodav-1.0 -p /sbin/ldconfig
%postun -n libphodav-1.0 -p /sbin/ldconfig

%post -n spice-webdavd
%systemd_post spice-webdavd.service

%preun -n spice-webdavd
%systemd_preun spice-webdavd.service

%postun -n spice-webdavd
%systemd_postun_with_restart spice-webdavd.service

%files -n libphodav-1.0 -f %{name}.lang
%doc NEWS COPYING
%{_libdir}/libphodav-1.0.so.0*

%files -n libphodav-1.0-devel
%dir %{_includedir}/libphodav-1.0/
%{_includedir}/libphodav-1.0/*
%{_libdir}/libphodav-1.0.so
%{_libdir}/pkgconfig/libphodav-1.0.pc
%{_datadir}/gtk-doc/html/phodav/*

%files -n chezdav
%{_bindir}/chezdav
%{_mandir}/man1/chezdav.1*

%files -n spice-webdavd
%doc NEWS COPYING
%{_sbindir}/spice-webdavd
/usr/lib/udev/rules.d/70-spice-webdavd.rules
%{_unitdir}/spice-webdavd.service

%changelog
* Mon May 5 2014 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.4-2
- Remove systemd target, use only service. rhbz#1087907

* Mon Jan 27 2014 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.4-1
- Initial packaging. rhbz#1059708
